/* Small animated explosion which can be superimposed to make
 * huge explosions.
 *
 * (w) 2002 by Eero Tamminen
 */

union {
#include "explosion.inc"

	texture {
		pigment {
			spherical
			color_map {
				[ 0.0 color rgb <0, 0, 0> ]
				[ 0.1 color rgb <1, 0.4, 0.3> ]
				[ 0.2 color rgb  <2, 0.5, 0.6> ]
				[ 0.6 color rgb  <2, 1, 0> ]
//				[ 0.8 color rgb  <2, 2, 0> ]
				[ 1.0 color rgb  <2, 2> ]
			}
			scale 2
			turbulence 2
			phase 0.5 - clock/2
		}
	}
	finish {
	       ambient 1
	}
}

camera {
        // use 1/1 aspect ratio
	right x

	location <0, 0, -5>
	look_at <0, 0, 0>
}
